Pular para o conteúdo principal
POST
/
audio
/
retrieve
/api/v1/audio/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 20000,
  "execution_duration": 5200
}
Use o queue_id retornado por /audio/queue para verificar o status da geração. Quando a solicitação for concluída, este endpoint retorna os dados de áudio gerados.

Coleção do Postman

Para exemplos adicionais, consulte esta coleção do Postman.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
model
string
obrigatório

The ID of the model used for audio generation.

Exemplo:

"elevenlabs-music"

queue_id
string
obrigatório

The ID of the audio generation request. Use this to poll for status and retrieve the result.

Exemplo:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
padrão:false

If true, the audio media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the audio.

Exemplo:

false

Resposta

Audio generation status or completed audio

status
enum<string>
obrigatório

The status of the audio generation request.

Opções disponíveis:
PROCESSING
Exemplo:

"PROCESSING"

average_execution_time
number
obrigatório

The estimated execution time of the audio generation request in milliseconds (P80).

Exemplo:

20000

execution_duration
number
obrigatório

The current duration of the audio generation request in milliseconds.

Exemplo:

5200